## org.apache.axis.utils
Class CLUtil

    java.lang.Object
      |
      +--org.apache.axis.utils.CLUtil

public final class CLUtil
extends java.lang.Object

CLUtil offers basic utility operations for use both internal and external to package.

Since:
  4.0
Author:
  Peter Donald

Method Summary
`static java.lang.StringBuffer` `describeOptions(CLOptionDescriptor[] options)` Format options into StringBuffer and return.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### describeOptions

    public static final java.lang.StringBuffer describeOptions(CLOptionDescriptor[] options)

  Format options into StringBuffer and return. This is typically used to print "Usage" text in response to a "--help" or invalid option.

  Parameters:
    `options` - the option descriptors
  Returns:
    the formatted description/help for options

Copyright © 2003 Apache Web Services Project. All Rights Reserved.